rte_port_ras.h(3)

NAME
rte_port_ras.h

SYNOPSIS

#include <stdint.h>
#include 'rte_port.h'

  Data Structures

struct rte_port_ring_writer_ras_params

  Variables

struct rte_port_out_ops rte_port_ring_writer_ipv4_ras_ops
struct rte_port_out_ops rte_port_ring_writer_ipv6_ras_ops

Detailed Description

RTE Port for IPv4 Reassembly

This port is built on top of pre-initialized single producer rte_ring. In order to minimize the amount of packets stored in the ring at any given time, the IP reassembly functionality is executed on ring write operation, hence this port is implemented as an output port. A regular ring_reader port can be created to read from the same ring.

The packets written to the ring are either complete IP datagrams or IP fragments. The packets read from the ring are all complete IP datagrams, either jumbo frames (i.e. IP packets with length bigger than MTU) or not. The complete IP datagrams written to the ring are not changed. The IP fragments written to the ring are first reassembled and into complete IP datagrams or dropped on error or IP reassembly time-out.

Definition in file rte_port_ras.h.

Variable Documentation

  struct rte_port_out_ops rte_port_ring_writer_ipv4_ras_ops [extern]
ring_writer_ipv4_ras port operations

  struct rte_port_out_ops rte_port_ring_writer_ipv6_ras_ops [extern]
ring_writer_ipv6_ras port operations

Author

Generated automatically by Doxygen for DPDK from the source code.